ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Apply payment schedule scheme to an invoice

Idempotency Supported
Try in API Explorer

Applying a payment schedule scheme to an invoice creates payment schedules, enabling the invoice to be paid in multiple, scheduled payments.

Note: The invoice must be in payment_due .

Sample Request

URL Format

POST https://[site].chargebee.com/api/v2/invoices/{invoice-id}/apply_payment_schedule_scheme

Input Parameters

scheme_id
required, string

The identifier of the payment_schedule_scheme , used to create the payment schedules.

amount
optional, in cents, min=0

The part of the invoice.amount_due to be distributed across the payment schedules. If not specified, the entire invoice.amount_due is considered by default.

Returns

invoiceInvoice object
Resource object representing invoice